Subject: [PATCH v4 7/8] ARM: Exynos: switch to using generic cpufreq-cpu0 driver

From: [email-masked] (Sudeep Holla)
Date: Wed, 14 May 2014 15:09:32 +0100

On 14/05/14 15:03, Thomas Abraham wrote:
> On Wed, May 14, 2014 at 6:41 PM, Heiko St?bner <[email-masked]> wrote:
>> Am Mittwoch, 14. Mai 2014, 18:35:29 schrieb Viresh Kumar:
>>> On 14 May 2014 18:20, Arnd Bergmann <[email-masked]> wrote:
>>>> Could we please come up with a way to probe this from DT in the
>>>> cpufreq-cpu0 driver itself, so we don't have to add a device in every
>>>> platform using it?
>>> Its followed that way because DT Maintainers had strong objections
>>> to creating virtual device nodes and haven't allowed creation of nodes
>>> for cpufreq drivers.. For which there is no physical device, as CPU already
>>> has a separate node..
>>
>> as we already have the "enable-method" property for enabling/disabling cpus,
>> would something like a "scaling-method" be feasible?
>>
>
> "scaling-method" also sounds like a software specific property. Would
> that be something that will be acceptable in dt?

How about dvfs-method ? But the value should not be based on the driver they
use, but something more generic.

Regards,
Sudeep